# ConditionEnumeration

Implements \Iterator

"Inner" class for handling enumerations.

Uses build-in PHP5 iterator support.

package | phing.tasks.system.condition

### Methods

## __construct

    __construct(\ConditionBase $outer)

### Arguments

#### $outer

`\ConditionBase`

## current

    current()

## key

    key() : integer

### Response

`integer`

## next

    next()

## rewind

    rewind()

## valid

    valid() : boolean

### Response

`boolean`

### Properties

## Current element number

    num :

### Type(s)

``

## "Outer" ConditionBase class.

    outer :

### Type(s)

``